Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159508 - KDE Kmenu "Run Command..." wrong behaviour
Summary: KDE Kmenu "Run Command..." wrong behaviour
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 09:00 UTC by Nick Barkas
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 13:56:00 UTC


Attachments (Terms of Use)

Description Nick Barkas 2005-06-03 09:00:38 UTC
Description of problem:
  I noticed strange (wrong) behaviour with the "Run Command..." in "Actions"
group in Kmenu.To be more precise here is a description:

 I want the gedit program(any other will also do the job) so I click "Run
Command..." [or press Alt+F2] and type gedit, AFTER THAT I NEED TO CLICK THE
"Run" BUTTON (OR PESS RETURN) IN ORDER TO LAUNCH gedit.
 The next (and every other) time I want to run gedit,ther will be an entry in a
drop down list so that I do not need to type it every time.I choose gedit from
the drop down list and it launches WITHOUT REQUIRING TO CLICK "Run" button (OR
REQUIRING TO PRESS RETURN).
  Please fix it as soon as possible as it is a very stupid bug.A usefull
enhancement would be an option to run commands in the list automatically upon
selection so that everyone is happy (this one is for the lazy ones).


Version-Release number of selected component (if applicable):
Konqueror 3.3.0-8 Red Hat, KDE 3.3.0-5 Red Hat

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
 Selecting a (already typed) command from the drop down list [of the "Run
Command..." in Kmenu] launches the command without requiring to click "Run"
button or pressing return.

Expected results:
 Selecting a (already typed) command from the drop down list [of the "Run
Command..." in Kmenu] launches the command (only)after clicking  the "Run"
button or pressing return.
OR
 There is a "automatically run commands in the list upon selection" option in
the "Run Command.." window

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:30:04 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 lexual 2007-04-11 00:11:00 UTC
I can't reproduce this for FC6.

Comment 3 Matthew Miller 2007-04-11 13:56:00 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.